summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Gabriel <mike.gabriel@das-netzwerkteam.de>2011-12-11 23:15:31 +0100
committerMike Gabriel <mike.gabriel@das-netzwerkteam.de>2011-12-11 23:15:31 +0100
commit833fa376dd9722cbf8dc49f0b29802d30a455e31 (patch)
tree22d60c2b546757ad293ef4d442da2da27050df28
parent56fbf618ff5f39415281a37a81336a3262d8a4f5 (diff)
downloadbuildscripts-833fa376dd9722cbf8dc49f0b29802d30a455e31.tar.gz
buildscripts-833fa376dd9722cbf8dc49f0b29802d30a455e31.tar.bz2
buildscripts-833fa376dd9722cbf8dc49f0b29802d30a455e31.zip
fixing paths in nwt-gitcreate
-rwxr-xr-xbin/nwt-gitcreate14
1 files changed, 7 insertions, 7 deletions
diff --git a/bin/nwt-gitcreate b/bin/nwt-gitcreate
index 98ce7b6..a511476 100755
--- a/bin/nwt-gitcreate
+++ b/bin/nwt-gitcreate
@@ -1,16 +1,16 @@
#!/bin/bash
-set -e
+set -xe
for pkg in "$@"; do
subdir=$(dirname $pkg)/
pkg=$(basename $pkg)
- ssh -lnwt code.das-netzwerkteam.de "cd ~/git && ./setup-repository $subdir/$pkg '$pkg upstream project'"
- ssh -lnwt code.das-netzwerkteam.de "cd ~/git && ./update-repository-posixacls $subdir/$pkg"
+ ssh -lnwt code.das-netzwerkteam.de "cd ~/git && ./setup-repository ${subdir}${pkg} '$pkg upstream project'"
+ ssh -lnwt code.das-netzwerkteam.de "cd ~/git && ./update-repository-posixacls ${subdir}${pkg}"
test -d "$pkg" && cd "$pkg"
- echo "$pkg: MASTER BRANCH" && git push ssh://nwt@code.das-netzwerkteam.de:32032/~/git/${subdir}${pkg}.git master
- git branch | grep upstream &>/dev/null && echo "$pkg: RELEASE BRANCH" && git push ssh://nwt@code.das-netzwerkteam.de:32032/~/git/${subdir}${pkg}.git upstream
- git branch | grep pristine-tar &>/dev/null && echo "$pkg: PRISTINE-TAR" && git push ssh://nwt@code.das-netzwerkteam.de:32032/~/git/${subdir}${pkg}.git pristine-tar
- echo "$pkg: PUSHING TAGS" && git push --tags ssh://nwt@code.das-netzwerkteam.de:32032/~/git/${subdir}${pkg}.git
+ echo "$pkg: MASTER BRANCH" && git push ssh://nwt@code.das-netzwerkteam.de:32032/~/git/${subdir}${pkg} master
+ git branch | grep upstream &>/dev/null && echo "$pkg: RELEASE BRANCH" && git push ssh://nwt@code.das-netzwerkteam.de:32032/~/git/${subdir}${pkg} upstream
+ git branch | grep pristine-tar &>/dev/null && echo "$pkg: PRISTINE-TAR" && git push ssh://nwt@code.das-netzwerkteam.de:32032/~/git/${subdir}${pkg} pristine-tar
+ echo "$pkg: PUSHING TAGS" && git push --tags ssh://nwt@code.das-netzwerkteam.de:32032/~/git/${subdir}${pkg}
cd ..
done